सामग्री पर जाएँ

Moondream3 Preview [Detect]

इंटीग्रेट करें

मॉडल id moondream3-preview/detect
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream3-preview/detect?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.001 1 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Moondream विज़न #vision

इमेज में नामित ऑब्जेक्ट का पता लगाता है और बाउंडिंग बॉक्स के साथ एनोटेट की गई इमेज लौटाता है

Moondream · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इमेज के भीतर पहचान के लिए लक्षित ऑब्जेक्ट।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

प्रोसेस की जाने वाली इमेज की ओर संकेत करने वाला URL।

उन्नत preview
POST /run/moondream3-preview/detect?wait=20 कोटेशन → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream3-preview/detect?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Moondream3 Preview [Detect] के बारे में

`image_url` में दी गई इमेज और खोजे जाने वाले ऑब्जेक्ट का नाम बताने वाले `prompt` के आधार पर, यह बाउंडिंग बॉक्स वाले डिटेक्ट किए गए ऑब्जेक्ट की सूची लौटाता है। आउटपुट में बॉक्स बनाए गए चिह्नों वाली इमेज भी शामिल होती है। `preview` फ़्लैग प्रीव्यू आउटपुट को टॉगल करता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
प्रोसेस की जाने वाली इमेज की ओर संकेत करने वाला URL।
promptआवश्यक
प्रकारstring
इमेज के भीतर पहचान के लिए लक्षित ऑब्जेक्ट।
previewवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
नियंत्रित करता है कि आउटपुट का पूर्वावलोकन दिखाया जाए या नहीं।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream3-preview/detect",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "finish_reason": "stop",
    "usage_info": {
      "input_tokens": 1,
      "output_tokens": 1,
      "prefill_time_ms": 1.0,
      "decode_time_ms": 1.0,
      "ttft_ms": 1.0
    },
    "objects": [
      {
        "x_min": 1.0,
        "y_min": 1.0,
        "x_max": 1.0,
        "y_max": 1.0
      }
    ],
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
finish_reason
stringआउटपुट निर्माण समाप्त होने का कारण।
usage_info
object {input_tokens, output_tokens, prefill_time_ms, decode_time_ms, ttft_ms}अनुरोध उपयोग का विवरण।
objects
array of object {x_min, y_min, x_max, y_max}ऑब्जेक्ट पहचान और प्रत्येक के बाउंडिंग बॉक्स वाली सूची।
image
object {url, content_type, file_name, file_size, width, height} | nullबाउंडिंग बॉक्स से घिरे पहचाने गए ऑब्जेक्ट दिखाने वाली इमेज।

और मॉडल: विज़न

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/moondream3-preview/detect.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt